require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")



-- 拍卖页			（40金币）
-- 拍卖页X6			（200金币）
-- 普通页			（30金币）
-- 普通页X6			（150金币）
-- 异界碎片页		（40金币）
-- 符文页			（50金币）
-- 技能宝石页		（40金币）
-- 药水页			（40金币）
-- 精华页			（40金币）
-- 超大页仓库  		（150金币）
--通货页  			（75金币）
--想要购买什么仓库页 复制对应的名称写道 _购买1,_购买2，_购买3,.....里面即可 
local _购买1="通货页"
local _购买2="拍卖页X6"
local _购买3=""
local _购买4=""
local _购买5=""
local _购买6=""
local _进入游戏状态=0
while	To(100)==1		do 
	local 地图Ptr=L地图信息()

	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		_进入游戏状态=1
		goto Next
	end
	if _进入游戏状态==1		then 
		L延时(15*1000)
		
	end 
	if _购买1~=""		then 
		L金币商城购物(_购买1)
		L延时(1500)
	end
	if _购买2~=""		then 
		L金币商城购物(_购买2)
		L延时(1500)
	end
	if _购买3~=""		then 
		L金币商城购物(_购买3)
		L延时(1500)
	end

	if _购买4~=""		then 
		L金币商城购物(_购买4)
		L延时(1500)
	end
	if _购买5~=""		then 
		L金币商城购物(_购买5)
		L延时(1500)

	end

	if _购买6~=""		then 
	L金币商城购物(_购买6)
	end

	local ret=L复位脚本()--复位
	L信息("@@"..ret)
	if ret==0		then 
		--说明当前脚本无上层关系 那么这里就需要通过等级判断需要切换道剧情 还是异界了
		local _自身=L自身信息()
	
		if _自身.等级>=65		or 地图Ptr.位置==3 	then 
			L更改脚本("一体化脚本.lua")	
		else 
			L更改脚本("自动剧情.lua")	
		end 
	end 
::Next::

end

